<?php
if(!isset($_POST)) exit;

function return_success($msg) {
	header('Content-Type: application/json');
	echo json_encode(array('message' => trim(strip_tags($msg)), 'code' => 200));
	exit();
}
function return_error($msg) {
	header('HTTP/1.1 500 Internal Server Error');
	header('Content-Type: application/json; charset=UTF-8');
	die(json_encode(array('message' => trim(strip_tags($msg)), 'code' => 500, 'post' => $_POST)));
}

$ticket = array(
	"language" => "english",
	"dept"     => "1234",
	"name"     => $_POST['name'],
	"email"    => $_POST['email'],
	"priority" => $_POST['priority'],
	"subject"  => $_POST['subject'],
	"comments" => $_POST['comments']
);

$apiwrapper = array(
	"api"     => "YOURAPIKEY",
	"op"      => "ticket",
	"tickets" => array("ticket" => $ticket)
);

$json = json_encode($apiwrapper);

$ch = curl_init('http://www.example.com/helpdesk/index.php');
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_POSTFIELDS, $json);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json',
    'Content-Length: ' . strlen($json))
);

$results = curl_exec($ch);
curl_close($ch);

$results_array = json_decode($results);
if ($results_array->status == 'OK') {
	return_success('It Works!');
}
return_error('Something went wrong: '.$results);

